|
Расположение в меню |
---|
Arch → Ферма |
Верстаки |
Arch |
Быстрые клавиши |
Нет |
Представлено в версии |
0.19 |
См. также |
Нет |
Описание
The Arch Truss tool builds a truss object, either from a selected linear object (lie a Draft Line or Sketch), or from scratch, if no object is selected when launching the command.
Применение
Создание из выбранного объекта
- Use a workbench of your choice to create a single line
- Select that line
- Press the
Truss button
- Adjust the truss properties to your liking
Создание с нуля
- Make sure nothing is selected
- Press the
Truss button
- Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
- Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
- Adjust the truss properties to your liking
Свойства
Данные
- ДанныеTrussAngle: The angle of the truss
- ДанныеSlantType: The slant type of this truss
- ДанныеNormal: The normal direction of this truss
- ДанныеHeightStart: The height of the truss at the start position
- ДанныеHeightEnd: The height of the truss at the end position
- ДанныеStrutStartOffset: An optional start offset for the top strut
- ДанныеStrutEndOffset: An optional end offset for the top strut
- ДанныеStrutHeight: The height of the main top and bottom elements of the truss
- ДанныеStrutWidth: The width of the main top and bottom elements of the truss
- ДанныеRodType: The type of the middle element of the truss
- ДанныеRodDirection: The direction of the rods
- ДанныеRodSize: The diameter or side of the rods
- ДанныеRodSections: The number of rod sections
- ДанныеRodEnd: If the truss has a rod at its endpoint or not
- ДанныеRodMode: How to draw the rods
Программирование
The Truss tool can be used in macros and from the Python console by using the following function:
Truss = makeFence([baseobj])
Пример:
import FreeCAD
import Draft
import Arch
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties
Эта страница получена от https://wiki.freecad.org/Arch_Truss